Loading...
Searching...
No Matches
Ogre::ProfileInstance Class Reference
Core » General

Represents an individual profile call. More...

`#include <OgreProfiler.h>`

Inheritance diagram for Ogre::ProfileInstance:
[legend]

## Public Types

typedef std::map< String, ProfileInstance * > | ProfileChildren

## Public Member Functions

| ProfileInstance (void)
virtual | ~ProfileInstance (void)
void | logResults ()
void | reset ()
bool | watchForLimit (const String &profileName, Real limit, bool greaterThan=true)
bool | watchForLimit (Real limit, bool greaterThan=true)
bool | watchForMax (const String &profileName)
bool | watchForMax (void)
bool | watchForMin (const String &profileName)
bool | watchForMin (void)

## Public Attributes

ulong | accum
| Represents the total time of all child profiles to subtract from this profile.
ProfileChildren | children
ulong | currTime
| The time this profile was started.
ProfileFrame | frame
ulong | frameNumber
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the root profile.
ProfileHistory | history
String | name
| The name of the profile.
ProfileInstance * | parent
| The name of the parent, null if root.

## Detailed Description

Represents an individual profile call.

## Member Typedef Documentation

## ProfileChildren

typedef std::map<String,ProfileInstance*> Ogre::ProfileInstance::ProfileChildren

## Constructor & Destructor Documentation

## ProfileInstance()

Ogre::ProfileInstance::ProfileInstance | ( | void |  | ) |

## ~ProfileInstance()

virtual Ogre::ProfileInstance::~ProfileInstance | ( | void |  | ) |

virtual

## Member Function Documentation

## logResults()

void Ogre::ProfileInstance::logResults | ( |  | ) |

## reset()

void Ogre::ProfileInstance::reset | ( |  | ) |

## watchForMax() [1/2]

bool Ogre::ProfileInstance::watchForMax | ( | void |  | ) |

inline

References history.

## watchForMin() [1/2]

bool Ogre::ProfileInstance::watchForMin | ( | void |  | ) |

inline

References history.

## watchForLimit() [1/2]

bool Ogre::ProfileInstance::watchForLimit | ( | Real | limit,
|  | bool | greaterThan = true )

inline

References history.

## watchForMax() [2/2]

bool Ogre::ProfileInstance::watchForMax | ( | const String & | profileName | ) |

## watchForMin() [2/2]

bool Ogre::ProfileInstance::watchForMin | ( | const String & | profileName | ) |

## watchForLimit() [2/2]

bool Ogre::ProfileInstance::watchForLimit | ( | const String & | profileName,
|  | Real | limit,
|  | bool | greaterThan = true )

## Member Data Documentation

## name

String Ogre::ProfileInstance::name

The name of the profile.

## parent

ProfileInstance* Ogre::ProfileInstance::parent

The name of the parent, null if root.

## children

ProfileChildren Ogre::ProfileInstance::children

## frame

ProfileFrame Ogre::ProfileInstance::frame

## frameNumber

ulong Ogre::ProfileInstance::frameNumber

## history

ProfileHistory Ogre::ProfileInstance::history

Referenced by watchForLimit(), watchForMax(), and watchForMin().

## currTime

ulong Ogre::ProfileInstance::currTime

The time this profile was started.

## accum

ulong Ogre::ProfileInstance::accum

Represents the total time of all child profiles to subtract from this profile.

## hierarchicalLvl

uint Ogre::ProfileInstance::hierarchicalLvl

The hierarchical level of this profile, 0 being the root profile.

The documentation for this class was generated from the following file:

- OgreProfiler.h